gnome-mag: _MagnifierPrivate Struct Reference

# _MagnifierPrivate Struct Reference

`#include <magnifier-private.h>`

## Data Fields
GtkWidget * | w
GtkWidget * | canvas
GdkWindow * | root
GdkWindow * | overlay
GdkPixmap * | source_drawable
GdkDrawable * | cursor
int | cursor_default_size_x
int | cursor_default_size_y
gboolean | crosswire
GdkBitmap * | cursor_mask
int | cursor_x
int | cursor_y
int | cursor_hotspot_x
int | cursor_hotspot_y
gboolean | use_source_cursor
GHashTable * | cursorlist

## Detailed Description

Definition at line 33 of file magnifier-private.h.

## Field Documentation

GtkWidget* _MagnifierPrivate::w

Definition at line 34 of file magnifier-private.h.

Referenced by impl_magnifier_create_zoom_region(), mag_login_helper_get_raise_windows(), magnifier_init(), magnifier_init_window(), magnifier_reset_struts_at_idle(), magnifier_set_cursor_from_pixbuf(), magnifier_set_property(), and magnifier_transform_cursor().

GtkWidget* _MagnifierPrivate::canvas

Definition at line 35 of file magnifier-private.h.

Referenced by impl_magnifier_create_zoom_region(), magnifier_init_window(), and zoom_region_set_viewport().

GdkWindow* _MagnifierPrivate::root

Definition at line 36 of file magnifier-private.h.

Referenced by magnifier_get_root(), magnifier_init_display(), magnifier_init_window(), magnifier_set_property(), and magnifier_warp_cursor_to_screen().

GdkWindow* _MagnifierPrivate::overlay

Definition at line 37 of file magnifier-private.h.

Referenced by magnifier_init(), and magnifier_set_property().

GdkPixmap* _MagnifierPrivate::source_drawable

Definition at line 38 of file magnifier-private.h.

Referenced by magnifier_init(), magnifier_set_property(), and zoom_region_get_source_subwindow().

GdkDrawable* _MagnifierPrivate::cursor

Definition at line 39 of file magnifier-private.h.

Referenced by magnifier_get_cursor(), magnifier_get_property(), magnifier_init(), magnifier_init_cursor_set(), magnifier_set_cursor_from_pixbuf(), and magnifier_transform_cursor().

int _MagnifierPrivate::cursor_default_size_x

Definition at line 40 of file magnifier-private.h.

Referenced by magnifier_set_cursor_from_pixbuf(), and magnifier_transform_cursor().

int _MagnifierPrivate::cursor_default_size_y

Definition at line 41 of file magnifier-private.h.

Referenced by magnifier_set_cursor_from_pixbuf(), and magnifier_transform_cursor().

gboolean _MagnifierPrivate::crosswire

Definition at line 42 of file magnifier-private.h.

GdkBitmap* _MagnifierPrivate::cursor_mask

Definition at line 43 of file magnifier-private.h.

Referenced by magnifier_set_cursor_from_pixbuf(), magnifier_transform_cursor(), and zoom_region_paint_cursor().

int _MagnifierPrivate::cursor_x

Definition at line 44 of file magnifier-private.h.

Referenced by magnifier_main_test_image(), and zoom_region_pan_test().

int _MagnifierPrivate::cursor_y

Definition at line 45 of file magnifier-private.h.

Referenced by magnifier_main_test_image(), and zoom_region_pan_test().

int _MagnifierPrivate::cursor_hotspot_x

Definition at line 46 of file magnifier-private.h.

Referenced by magnifier_set_cursor_from_pixbuf(), and magnifier_transform_cursor().

int _MagnifierPrivate::cursor_hotspot_y

Definition at line 47 of file magnifier-private.h.

Referenced by magnifier_set_cursor_from_pixbuf(), and magnifier_transform_cursor().

gboolean _MagnifierPrivate::use_source_cursor

Definition at line 48 of file magnifier-private.h.

Referenced by magnifier_init(), and magnifier_init_cursor_set().

GHashTable* _MagnifierPrivate::cursorlist

Definition at line 49 of file magnifier-private.h.

Referenced by magnifier_get_pixbuf_for_name(), magnifier_init(), and magnifier_init_cursor_set().

The documentation for this struct was generated from the following file:

- magnifier-private.h